#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - Install script
#
# Creation:     2004-08-28 fw
# Last Update:  $Id: install.sh 108085 2023-12-06 16:34:23Z hbfl $
#
# Copyright (c) 2004-2005 Fabian Wolter
# Copyright (c) 2005-2024 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=capi


# ---------------------------------------------------------------------------
# Generate package folder
# ---------------------------------------------------------------------------

if [ ! -f /etc/isdn/capi.conf ]
then
    if [ -f /etc/capi.conf ]
    then
        cp /etc/capi.conf /etc/isdn/capi.conf
    fi
fi

# ---------------------------------------------------------------------------
# add menu
# ---------------------------------------------------------------------------
/var/install/bin/add-menu                              \
            setup.system.hardware.menu                 \
            setup.system.hardware.${package_name}.menu \
            "CAPI administration"

# ---------------------------------------------------------------------------
# Create default config
# ---------------------------------------------------------------------------
if [ -f /etc/config.d/${package_name} ]
then
    update=true
fi

/var/install/config.d/${package_name}-update.sh

rm -f /var/install/config.d/${package_name}-update.sh

# ---------------------------------------------------------------------------
# start configuration
# ---------------------------------------------------------------------------
if ${update:-false}
then
    /var/install/config.d/${package_name}.sh --quiet

    . /etc/config.d/${package_name}
    if [ "${START_CAPI}" = "yes" ]
    then
        /usr/sbin/service start ${package_name}
    fi
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
