#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - Install script
#
# Creation:     2005-12-07 hb
# Last Update:  $Id: preinstall.sh 108085 2023-12-06 16:34:23Z hbfl $
#
# Copyright (c) 2005-2024 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=capi

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------

/var/install/bin/del-menu                          \
            setup.services.menu                    \
            setup.services.${package_name}.menu

/var/install/bin/del-menu  \
            --quiet                              \
            setup.system.drivers.menu            \
            setup.system.drivers.${package_name}.menu


if [ -f /usr/lib/isdn/old_b1.t4 ]
then
    rm -f /usr/lib/isdn/old_b1.t4
fi

# check if installed version -lt = 1.5.0
# libcapi20 moved to a extra package and do not delete them
if [ -f /usr/share/doc/capi/version ]
then
    if [ "`grep . /usr/share/doc/capi/version | tr -d '.' `" -lt "150" ]
    then
        /etc/init.d/capi stop

        rm -f /etc/init.d/boot.d/S??boot.${package_name}
        rm -f /etc/rc2.d/{S,K}??${package_name}
        rm -f /etc/default.d/${package_name}
        rm -f /etc/check.d/${package_name}
        rm -f /etc/check.d/${package_name}.*
        rm -f /etc/init.d/boot.capi
        rm -f /etc/init.d/capi
        rm -f /usr/sbin/avmcapictrl
        rm -f /usr/sbin/capiinit
        rm -f /usr/share/doc/capi/{capi,changes,license}.txt
        rm -f /usr/share/doc/capi/version
        rm -f /var/install/bin/capi-server-list-controller
        rm -f /var/install/config.d/capi{.sh,-update.sh}
        rm -f /var/install/deinstall/capi
        rm -f /var/install/help/capi
        rm -f /var/install/menu/setup.services.capi.{menu,server.menu}
        rm -f /var/install/packages/capi
    else
        if [ -f /var/install/deinstall/${package_name} ]
        then
            inst_version=`/var/install/bin/check-version ${package_name} 1.9.2`
            case ${inst_version} in
                new)
                    update='update'
                    /etc/init.d/${package_name} stop
                ;;
                *)
                    update='--update'
                ;;
            esac
            /var/install/bin/del-package ${update} ${package_name}
            rm -f /var/install/menu/setup.services.capi.{menu,server.menu}
        fi
    fi
fi

if [ -f /etc/init.d/${package_name} ]
then
    /usr/sbin/service --quiet stop ${package_name}
    /usr/sbin/service disable ${package_name}
    /usr/bin/rm -f /etc/rc2.d/*${package_name}
    /usr/bin/rm -f /etc/init.d/${package_name}
    /usr/sbin/service daemon-reload
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
